type: gene_score
filename: LGD.csv
scores:
  - id: LGD score
    name: LGD score
    desc: "Likelihood that a gene is vulnerable to damaging mutation"
    small_values_desc: "less likely to be vulnerable"
    large_values_desc: "more likely to be vulnerable"
    histogram:
      type: number
      number_of_bins: 50
      view_range:
        min: 0
        max: 1
      x_log_scale: false
      y_log_scale: true

  - id: LGD rank
    name: LGD rank
    desc: "Gene rank after sorting by LGD vulnerability score"
    small_values_desc: "more likely to be vulnerable"
    large_values_desc: "less likely to be vulnerable"
    histogram:
      type: number
      number_of_bins: 100
      x_log_scale: false
      y_log_scale: false

  - id: RVIS score
    name: RVIS
    desc: "Intolerance of a gene to genetic variants"
    small_values_desc: "more intolerant"
    large_values_desc: "less intolerant"
    histogram:
      type: number
      number_of_bins: 50
      view_range:
        min: -9
        max: 30
      x_log_scale: false
      y_log_scale: true

  - id: RVIS rank
    name: RVIS rank
    desc: "Gene rank after sorting by RVIS intolerance score"
    small_values_desc: "more intolerant"
    large_values_desc: "less intolerant"
    histogram:
      type: number
      number_of_bins: 50
      # view_range:
      #   min: -9
      #   max: 30
      x_log_scale: false
      y_log_scale: true

  - id: LGD and RVIS average rank
    name: LGD and RVIS average rank
    desc: "LGD and RVIS average rank"
    small_values_desc: "more intolerant"
    large_values_desc: "less intolerant"
    histogram:
      type: number
      number_of_bins: 50
      x_log_scale: false
      y_log_scale: true


# default_annotation:
#   - source: "LGD score"
#     name: "LGD score"

meta:
  summary: |
    Gene vulnerability/intolerance score based on the rare LGD variants

  description: |
    The LGD vulnerability score is based on relating the 
    observed and expected numbers of ultra-rare LGD variants, where the 
    expected number of ultra-rare LGDs in a gene is computed through a 
    regression to the number of ultra-rare synonymous variants. The score is 
    defined as the cumulative distribution function at the observed number of 
    UR LGD variants of a Poisson distribution with a parameter equal to the 
    expected number of UR LGD variants.

    [Iossifov et al., Low load for disruptive mutations in autism genes and their biased transmission, 
    PNAS, 2015](https://doi.org/10.1073/pnas.1516376112)
  
    Downloaded on: 10/23/25 
  
    [https://www.pnas.org/doi/suppl/10.1073/pnas.1516376112/suppl\_file/pnas.1516376112.sd03.xlsx](https://www.pnas.org/doi/suppl/10.1073/pnas.1516376112/suppl_file/pnas.1516376112.sd03.xlsx)

    Processing details: dataPrep.py converts Supplementary Data 3 into a csv file.
  
